import { mergeConfig } from 'vite';
import eslint from 'vite-plugin-eslint';
import baseConfig from './vite.config.base';

export default mergeConfig(
  {
    mode: 'development',
    server: {
      proxy: {
        '/api': {
          target: 'http://121.41.197.37:8098/api',
          changeOrigin: true,
          rewrite: (path) => path.replace(/^\/api/, ''),
        },
      },
      open: true,
      fs: {
        strict: true,
      },
    },
    plugins: [],
  },
  baseConfig
);
