const TOKEN_KEY = 'token';
const NICK_NAME = 'nickname';

//pro自带的逻辑因为懒所以懒得改了，后面要做权限在改好了
const isLogin = () => {
  return !!localStorage.getItem(TOKEN_KEY);
};

const getToken = () => {
  return localStorage.getItem(TOKEN_KEY);
};

const setToken = (token: string) => {
  localStorage.setItem(TOKEN_KEY, token);
};

const setNickName = (nickname: string) => {
  localStorage.setItem(NICK_NAME, nickname);
};

const clearNickName = () => {
  localStorage.removeItem(NICK_NAME);
};

const getNickName = () => {
  return localStorage.getItem(NICK_NAME);
};

const clearToken = () => {
  localStorage.removeItem(TOKEN_KEY);
};

export {
  isLogin,
  getToken,
  setToken,
  clearToken,
  getNickName,
  setNickName,
  clearNickName,
};
